FileModeException Class Reference

File mode exception (e.g. attempt to write to read-only file, invalid mode.) More...

`#include <Exceptions.h>`

Inheritance diagram for FileModeException:
Collaboration diagram for FileModeException:

## Public Member Functions

| FileModeException (const std::string &message=std::string(), const std::string &location=std::string())
| ~FileModeException () throw ()
Public Member Functions inherited from RcsbException
| RcsbException (const std::string &message=std::string(), const std::string &location=std::string())
| ~RcsbException () throw ()
void | AppendMessage (const std::string &message=std::string(), const std::string &location=std::string())
const char * | what () const throw ()

## Additional Inherited Members

Protected Attributes inherited from RcsbException
std::string | _message

## Detailed Description

File mode exception (e.g. attempt to write to read-only file, invalid mode.)

## Constructor & Destructor Documentation

## FileModeException()

FileModeException::FileModeException | ( | const std::string & | message = `std::string()`,
|  | const std::string & | location = `std::string()`
| ) |  |

## ~FileModeException()

FileModeException::~FileModeException | ( |  | ) |
throw | ( |
| ) |  |

The documentation for this class was generated from the following file:

- rcsb/Exceptions.h